> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deeprails.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Monitor Event's Details

> Use this endpoint to retrieve the details of a specific monitor event


Monitor events include a detailed set of data from the corresponding evaluation. Poll this endpoint for these details, plus the `status`, input parameters, and timestamps.<br /><br />When waiting on the completion of an event, you can poll this endpoint until the `status` is `completed`, then all the evaluation details will be available.


## OpenAPI

````yaml /api-reference/openapi.yaml get /monitor/{monitor_id}/events/{event_id}
openapi: 3.0.0
info:
  title: DeepRails API
  description: >
    DeepRails is a powerful developer tool with a comprehensive set of adaptive
    & accurate guardrails to protect against LLM hallucinations - deploy our
    Monitor and Defend APIs in less than 15 minutes for the best out-of-the-box
    guardrails available.
  version: v3.0
  contact:
    name: DeepRails Support
    email: support@deeprails.ai
servers:
  - url: https://api.deeprails.com
    description: Production server
security:
  - BearerAuth: []
paths:
  /monitor/{monitor_id}/events/{event_id}:
    get:
      tags:
        - Monitor
      summary: Retrieve a Monitor Event's Details
      description: |
        Use this endpoint to retrieve the details of a specific monitor event
      parameters:
        - name: monitor_id
          in: path
          description: The ID of the monitor associated with this event.
          required: true
          schema:
            type: string
        - name: event_id
          in: path
          description: The ID of the requested monitor event.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Monitor event retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorEventDetailResponse'
        '401':
          description: Unauthorized
        '404':
          description: Monitor event not found
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: python
          label: Retrieve a Monitor Event's Details
          source: |
            from deeprails import DeepRails

            DEEPRAILS_API_KEY = "YOUR_API_KEY"

            client = DeepRails(
                api_key=DEEPRAILS_API_KEY,
            )

            event_response = client.monitor.retrieve_event(
                monitor_id="mon_xxxxxxxxxxxx",
                event_id="evt_xxxxxxxxxxxx",
            )
            print(event_response)
components:
  schemas:
    MonitorEventDetailResponse:
      type: object
      properties:
        event_id:
          type: string
          description: A unique monitor event ID.
          example: evt_xxxxxxxxxxxx
        monitor_id:
          type: string
          description: Monitor ID associated with this event.
          example: mon_xxxxxxxxxxxx
        timestamp:
          type: string
          format: date-time
          description: The time the monitor event was created in UTC.
          example: '2025-01-15T10:30:00Z'
        status:
          type: string
          description: Status of the monitor event's evaluation.
          example: completed
          enum:
            - in_progress
            - completed
            - canceled
            - queued
            - failed
        model_input:
          type: object
          additionalProperties: true
          description: The model input used to create the monitor event.
          example:
            system_prompt: >-
              You are a helpful tutor. Answer with only the final answer as a
              single digit (0-9).
            user_prompt: What is 3 + 4? Reply with only one digit.
            context:
              - role: student
                content: Please keep it short.
              - role: tutor
                content: OK. I will answer with one digit only.
              - role: student
                content: What is 3 + 4?
        model_output:
          type: string
          description: The output evaluated by the monitor event.
          example: I am good, thank you!
        eval_time:
          type: string
          description: The time spent on the evaluation in seconds.
          example: 10.5
        run_mode:
          type: string
          description: The run mode used to evaluate the monitor event.
          example: fast
          enum:
            - super_fast
            - fast
            - precision
            - precision_codex
            - precision_max
            - precision_max_codex
        nametag:
          type: string
          description: A human-readable tag for the monitor event.
          example: Test Event
        evaluation_result:
          type: object
          description: The result of the evaluation of the monitor event.
          additionalProperties: true
          example:
            correctness:
              score: 1
              rationale: The response is correct.
              threshold: 0.9
        guardrail_metrics:
          type: array
          description: The guardrail metrics evaluated by the monitor event.
          items:
            type: string
            description: The name of the guardrail metric.
            example: correctness
        capabilities:
          type: array
          description: >-
            The extended AI capabilities associated with the monitor event. Can
            be `web_search`, `file_search`, and/or `context_awareness`.
          items:
            type: object
            properties:
              capability:
                type: string
                description: The type of capability.
                example: web_search
        files:
          type: array
          description: The files associated with the monitor event.
          items:
            type: object
            properties:
              file_name:
                type: string
                description: The name of the file.
                example: example.pdf
              file_id:
                type: string
                description: The ID of the file.
                example: file_xxxxxxxxxxxx
              file_size:
                type: integer
                description: The size of the file in bytes.
                example: 1024
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````